For Developers

Get Student Period Attendance Flag

This model is part of the v2.5 API update which is currently in beta and therefore subject to change.

GET https://ed.link/api/v2/graph/student_period_attendance_flags/:student_period_attendance_flag_id

Retrieve information about a specific Student Period Attendance Flag.

Request Parameters

ParameterLocationTypeDescription
student_period_attendance_flag_idurlstringThe UUID of the desired Student Period Attendance Flag.

Sample Request

axios.get('https://ed.link/api/v2/graph/student_period_attendance_flags/00000000-0000-0000-0000-000000000000', {
    headers: {
        authorization: `Bearer ${integration_access_token}`
    }
});

Sample Response

{
    "$data": {
        "id": "00000000-0000-0000-0000-000000000000",
        "created_date": "2021-07-05T20:32:40.454Z",
        "updated_date": "2021-07-12T21:44:23.126Z",
        "student_period_attendance_id": "00000000-0000-0000-0000-000000000001",
        "attendance_flag_id": "00000000-0000-0000-0000-000000000002"
    },
    "$request": "00000000-0000-0000-0000-000000000000"
}